diff --git a/ChangeLog b/ChangeLog
index 11213d72..26cad540 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+2005-07-05
+ * small fixes
+ * added CVS ebuild, huge thanks to Hopeless for this
+
2005-07-04
* special thanks to Citizen_X and his patience
* Citizen_X pwns
diff --git a/Conky.kdevelop b/Conky.kdevelop
index 748a1019..86c6d320 100644
--- a/Conky.kdevelop
+++ b/Conky.kdevelop
@@ -48,7 +48,7 @@
- --enable-debug=full --prefix=/usr --enable-mpd --enable-xft --enable-seti --enable-double-buffer --enable-own-window --enable-metar --enable-mldonkey
+ --enable-debug=full --prefix=/usr --enable-mpd --disable-xft --enable-seti --enable-double-buffer --disable-own-window --enable-metar --enable-mldonkey
debug
kdevgccoptions
kdevgppoptions
diff --git a/app-admin/conky/conky-1.9999.ebuild b/app-admin/conky/conky-1.9999.ebuild
new file mode 100644
index 00000000..8b65f2fd
--- /dev/null
+++ b/app-admin/conky/conky-1.9999.ebuild
@@ -0,0 +1,75 @@
+# CVS ebuild for Conky
+# $Header$
+
+ECVS_SERVER="cvs.sourceforge.net:/cvsroot/conky"
+ECVS_MODULE="conky"
+inherit cvs
+
+DESCRIPTION="minimalist system monitor for X based on torsmo"
+HOMEPAGE="http://conky.rty.ca"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE="truetype seti metar mldonkey mpd"
+
+RDEPEND="virtual/libc
+ virtual/x11
+ truetype? ( >=media-libs/freetype-2 )
+ seti? ( sci-astronomy/setiathome )
+ metar? ( dev-libs/mdsplib )"
+
+DEPEND="truetype? ( >=media-libs/freetype-2 )
+ metar? ( dev-libs/mdsplib )
+ virtual/x11
+ >=sys-devel/automake-1.4
+ sys-devel/autoconf
+ sys-apps/grep
+ sys-apps/sed
+ sys-devel/gcc
+ >=sys-process/procps-3.2.5
+ "
+
+S=${WORKDIR}/conky
+
+src_unpack() {
+ cvs_src_unpack
+ cd ${S}
+ NOCONFIGURE=blah ./autogen.sh
+}
+
+src_compile() {
+ econf \
+ $(use_enable truetype xft) \
+ $(use_enable metar) \
+ $(use_enable mldonkey) \
+ $(use_enable mpd) \
+ $(use_enable seti) \
+ --enable-double-buffer \
+ --enable-own-window \
+ --enable-proc-uptime \
+ || die "econf failed"
+ emake || die "compile failed"
+}
+
+src_install() {
+ emake DESTDIR=${D} install || die "make install failed"
+ dodoc ChangeLog AUTHORS README conkyrc.sample
+}
+
+pkg_postinst() {
+ einfo 'default configuration file is "~/.conkyrc"'
+ einfo "you can find a sample configuration file in"
+ einfo "/usr/share/doc/${PF}/conkyrc.sample.gz"
+ einfo
+ einfo "For more info on Conky's new features,"
+ einfo "please look at the README and ChangeLog:"
+ einfo "/usr/share/doc/${PF}/README.gz"
+ einfo "/usr/share/doc/${PF}/ChangeLog.gz"
+ einfo
+ einfo "Comment out temperature info lines if you have no kernel"
+ einfo "support for it."
+ einfo
+ ewarn "Conky doesn't work with window managers that"
+ ewarn "take control over root window such as Gnome's nautilus."
+}
diff --git a/conky.c b/conky.c
index 8fe61ad7..083e26ae 100644
--- a/conky.c
+++ b/conky.c
@@ -215,13 +215,13 @@ static long default_fg_color, default_bg_color, default_out_color;
static int cpu_avg_samples, net_avg_samples;
-/*#ifdef OWN_WINDOW*/
/* create own window or draw stuff to root? */
static int own_window = 0;
+#ifdef OWN_WINDOW
/* fixed size/pos is set if wm/user changes them */
static int fixed_size = 0, fixed_pos = 0;
-/*#endif*/
+#endif
static int minimum_width, minimum_height;
@@ -3051,10 +3051,13 @@ static void draw_line(char *s)
if (fontchange) {
cur_y -= font_ascent();
selected_font = specials[special_index].font_added;
- cur_y += font_ascent();
- if (!use_xft) {
- set_font();
- }
+ cur_y += font_ascent();
+#ifdef XFT
+ if (!use_xft)
+#endif
+ {
+ set_font();
+ }
}
break;
@@ -4214,8 +4217,9 @@ int main(int argc, char **argv)
/* generate text and get initial size */
extract_variable_text(text);
- if (text != original_text)
+ if (text != original_text) {
free(text);
+ }
text = NULL;
update_uname();